=== debian/changelog ===
happy (1.20.1.1-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Debian policy 4.6.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 27 Aug 2023 13:36:19 +0300
