## happy 2.1.7

=== debian/changelog ===
happy (2.1.7-2) unstable; urgency=medium

  * Add runtime depends on haskell-happy-lib-data (Closes: #1126852)

 -- Scott Talbert <swt@techie.net>  Tue, 03 Feb 2026 18:08:47 -0500

happy (2.1.7-1) unstable; urgency=medium

  [ Clint Adams ]
  * New upstream version.

  [ Scott Talbert ]
  * Fix a few dh-haskell porting issues and depend on happy-lib >= 2.1.7-3

 -- Scott Talbert <swt@techie.net>  Fri, 30 Jan 2026 21:10:02 -0500

happy (1.20.1.1-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.7.0

  [ Scott Talbert ]
  * Build using dh-haskell
  * Remove unused utils.mk include from d/rules (Closes: #1110564)

 -- Scott Talbert <swt@techie.net>  Wed, 17 Dec 2025 19:05:55 -0500
