=== debian/control ===
--- 
+++ 
@@ -3,20 +3,17 @@
 Uploaders: Iain Lane <laney@ubuntu.com>
 Priority: optional
 Section: haskell
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Build-Depends:
- cdbs (>= 0.4.59),
- haskell-devscripts (>= 0.13),
- debhelper (>= 10),
+ dh-sequence-haskell,
+ haskell-devscripts (>= 0.16.45),
+ debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
- autoconf,
- docbook-utils,
  ghc (>= 9.4),
  ghc-prof,
- docbook-xsl,
- docbook-xml,
- xsltproc,
+ libghc-happy-lib-dev (>= 2.1.7-3),
+ libghc-happy-lib-dev (<< 2.1.8),
  happy <!stage1>,
 Homepage: https://www.haskell.org/happy/
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/happy]
@@ -27,6 +24,8 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${haskell:Depends},
+ haskell-happy-lib-data (>= 2.1.7-3),
+ haskell-happy-lib-data (<< 2.1.8),
 Recommends: ${haskell:Recommends},
 Suggests: haskell-doc,
  info-browser,
