=== debian/rules ===
#! /usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.
# Largely rewritten for the Cabalised happy by Ian Lynagh in 2006.
# Largely rewritten for cdbs and hlibrary.mk by Iain Lane in 2009.

export DEB_SETUP_GHC_CONFIGURE_ARGS := --datasubdir=/usr/share/happy --docdir=/usr/share/doc/happy

ifneq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
export DEB_SETUP_GHC_CONFIGURE_ARGS += --with-happy=/bin/true
endif

%:
	dh $@
